Subject: LADs' problem

From: HY <[email-masked]>
Date: Wed, 5 Jan 94 15:45:22 CST

Hi dear friends:

I sent out a mail yesterday concerning the LADs' problem, mainly the group
of unlucky LADs who are still waiting for the interview or a response from
the local INS offices.

I personally believe that Mi Mi Sr. and the LAD committee has been doing
excellent job since the net was set up, and there is no necessary to make
another working committee.  Most LADs, I think, have the same feeling as I do.
If I said something wrong in my mail, I apologize to Mi Mi Sr. and the
LAD working committee here.  The reason we are still here, as Mi Mi Sr. said,
is that we have the common interest, so we should work together like the
old chinese phrase said: "san1 ge4 chou4 pi2 jiang4 he2 cheng2 yi2 ge4 zhu1
ge3 lian4."

Now I'd like to discuss something with you guys:

1. In our chinese society, it's very unlikely for a few LADs got the interview
   without knowing by the rest LADs in the same area.  In another word, since
   the info. from the individual LADs shows that more than half of local INS
   offices haven't started interviewing LAD, it's very likely that these INS
   offices haven't started interviewing any single LAD at all.

2. In order to get GC, the LADs have to go through the interview first unless
   the INS waives it explicitly.  As some lucky LADs said that they got some
   kind of notice from the local INS after passing the interview. It said
   "the visa location requirement has been sent out (to State of Department?)."
   This means the local INS could require a visa for the LAD (the same for
   the ordinary PR applicant) only if s/he could pass the interview.  It makes
   no sense for those unlucky LADs to wait for a so called visa quota without
   taking and passing the interview first.  So we got to let INS interview
   all LADs first.

3. Now, it's very clear that we can hardly push INS or some other US agencies
   further to consider LADs as the CSPA principals.  Fine, we only ask the
   local INS offices to treat the LADs as the ordinary EB-3 applicants, just
   like the instruction in INS HQ cables said.  As an ordinary EB-3 applicant,
   s/he should have got an interview appointment from the local INS by now if
   the application was sent out in Aug, 1993.  But unfortunately... ...,

I think every LAD should be involved in and contribute the idea to our LAD
society.  We just shouldn't let Mi. Mi. Sr. and the LAD committee work for
us alone.

Any comments will be appreciated.  You may send your idea to the LAD net
([email-masked]), so everybody could share it.

LX